|  | Home · All Classes · Modules

# QGraphicsScale Class Reference
[QtGui module]

The QGraphicsScale class provides a scale transformation. More...

Inherits QGraphicsTransform.

### Methods

- __init__ (self, QObject parent = None)
- applyTo (self, QMatrix4x4)
- QVector3D origin (self)
- setOrigin (self, QVector3D)
- setXScale (self, float)
- setYScale (self, float)
- setZScale (self, float)
- float xScale (self)
- float yScale (self)
- float zScale (self)

### Qt Signals

- void originChanged ()
- void scaleChanged ()

## Detailed Description

The QGraphicsScale class provides a scale transformation.

QGraphicsScene provides certain parameters to help control how the scale should be applied.

The origin is the point that the item is scaled from (i.e., it stays fixed relative to the parent as the rest of the item grows). By default the origin is QPointF(0, 0).

The parameters xScale, yScale, and zScale describe the scale factors to apply in horizontal, vertical, and depth directions. They can take on any value, including 0 (to collapse the item to a point) or negative value. A negative xScale value will mirror the item horizontally. A negative yScale value will flip the item vertically. A negative zScale will flip the item end for end.

See also QGraphicsTransform, QGraphicsItem.setScale(), and QTransform.scale().

## Method Documentation

### QGraphicsScale.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an empty QGraphicsScale object with the given parent.

### QGraphicsScale.applyTo (self, QMatrix4x4)

Reimplemented from QGraphicsTransform.applyTo().

### QVector3D QGraphicsScale.origin (self)

### QGraphicsScale.setOrigin (self, QVector3D)

### QGraphicsScale.setXScale (self, float)

### QGraphicsScale.setYScale (self, float)

### QGraphicsScale.setZScale (self, float)

### float QGraphicsScale.xScale (self)

### float QGraphicsScale.yScale (self)

### float QGraphicsScale.zScale (self)

## Qt Signal Documentation

### void originChanged ()

This is the default overload of this signal.

QGraphicsScale emits this signal when its origin changes.

See also QGraphicsScale.origin.

### void scaleChanged ()

This is the default overload of this signal.

This signal is emitted whenever the xScale, yScale, or zScale of the object changes.

See also QGraphicsScale.xScale, QGraphicsScale.yScale, and QGraphicsScale.zScale.